uniform vec3 MaterialEmit;
uniform float MaterialOpacity;

uniform sampler2D Texture[4];
varying vec4 position;
varying vec4 texCoord[2];

vec4 texture0 = texture2D(Texture[0], texCoord[0].xy);					
vec4 texture1 = texture2D(Texture[1], texCoord[0].zw);
vec4 texture3 = texture2D(Texture[3], texCoord[1].zw);

vec3 diffuse = MaterialEmit*texture0.xyz;

void main(void)
{
	if(texture0.w < 0.99)
		texture0.w = 0.0;
	gl_FragColor = vec4(diffuse.xyz, MaterialOpacity*texture0.w);
}
